package com.global.iop.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.global.iop.util.FileItem;
import java.io.IOException;
import java.io.OutputStream;

class ByteArrayContract implements FileItem.Contract {
  private String fileName;
  
  private byte[] content;
  
  private String mimeType;
  
  public ByteArrayContract(String fileName, byte[] content, String mimeType) {
    this.fileName = fileName;
    this.content = content;
    this.mimeType = mimeType;
  }
  
  public boolean isValid() {
    return (this.content != null && this.fileName != null);
  }
  
  public String getFileName() {
    return this.fileName;
  }
  
  public String getMimeType() {
    if (this.mimeType == null)
      return "application/octet-stream"; 
    return this.mimeType;
  }
  
  public long getFileLength() {
    return this.content.length;
  }
  
  public void write(OutputStream output) throws IOException {
    output.write(this.content);
  }
}
